apt

Abhängigkeitsproblem-Neuinstallation von PulseAudio nicht möglich

Ich habe vor kurzem pulseaudio aus Versehen gelöscht,was bedeutet,dass jetzt bin ich nicht in der Lage,alle Audio zu hören,was bedeutet,90% von allem,was ich auf meinem PC tun,ist jetzt aus.Ich habe versucht,pulseaudio von der Kommandozeile neu zu installieren,aber das war die Ausgabe:

~$ sudo apt install pulseaudio
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
 pulseaudio : Depends: libpulse0 (= 1:11.1-1ubuntu7.1) but 1:12.2-5~bionic1 is to be installed
E: Unable to correct problems, you have held broken packages.

Ich habe alles versucht.sudo apt install -f funktioniert nicht,dist-upgrade funktioniert nicht,update,upgrade und autoremove funktionieren alle ordnungsgemäß und geben keine Fehlermeldung zurück,und es gibt 0 Pakete zu installieren,zu aktualisieren oder zu entfernen.Ich habe es mit apt,apt-get und aptitude versucht.Ich habe versucht,die defekten Abhängigkeiten mit synaptic zu reparieren.Nichts.

Wenn ich versuche,libpulse0 zu entfernen oder zu regressieren,erhalte ich eine endlose Liste von Paketen,die entfernt werden sollen oder entfernt werden werden.

Ich weiß,dass ich alles mit einer Neuinstallation in Ordnung bringen kann,aber ich würde es lieber nicht tun,wenn es überhaupt möglich ist,da das letzte Mal ein kleiner Albtraum war,mit UEFI und so weiter.

Ich bin wirklich mit meinem Latein am Ende.Hat jemand einen Vorschlag?


Ok,ich bin besiegt worden.Ich dachte,es wäre der Gipfel der Cleverness,installierte ich die erforderliche libpulse0 Bibliothek aus einem heruntergeladenen Paket.

... es lief nicht gut. Unmittelbar danach teilte mir apt mit, dass etwa hundert Pakete nicht mehr benötigt würden und das Audio immer noch nicht funktionierte. Ich habe meinen Laptop neu gestartet und überraschenderweise war die Desktop-Umgebung verschwunden, und es gab nur die Befehlszeile.

Ich habe gerade alles neu installiert (den Linux-Göttern sei Dank für Home-Partitionen).

Tut mir leid für alle,die auf der Suche nach einer Lösung hier landen.




Für alle,die mit diesem Problem konfrontiert sind,gibt es eine Lösung,die bei mir funktioniert hat.

Ich hatte dieses Problem,weil ich pulseeffects aus einem ppa-Repository installiert und das meine Audio ziemlich schlecht,so dass ich versucht,Rollback-Pakete manuell und auch nach getan haben die Audio-Probleme blieb,weil pulseaudio war immer noch auf eine Version noch nicht von meinem Ubuntu unterstützt und beim Versuch,zurück zu gehen,um die ursprüngliche Version stolperte ich auf den gleichen Fehler :

The following packages have unmet dependencies.
   pulseaudio : Depends: libpulse0 (= 1:11.1-1ubuntu7.1) but 1:12.2-5~bionic1 
   is to be installed
E: Unable to correct problems, you have held broken packages.

Die Lösung bestand darin, ppa-purge zu verwenden, um zum nativen Paket zurückzukehren. Installation und grundlegende Verwendung werden hier beschrieben. Wie führe ich ein Batch-Downgrade von Paketen von einem Repo zurück auf kanonisch durch?

Ich hoffe,das hilft den nächsten,die dieses Problem haben.